Skip to main content
GET
/
resolution_center_cases
/
{id}
Retrieve resolution center case
curl --request GET \
  --url https://api.whop.com/api/v1/resolution_center_cases/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/resolution_center_cases/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/resolution_center_cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "company": {
    "id": "biz_xxxxxxxxxxxxxx",
    "title": "Pickaxe"
  },
  "created_at": "2023-12-01T05:00:00.401Z",
  "customer_appealed": true,
  "customer_response_actions": [],
  "due_date": "2023-12-01T05:00:00.401Z",
  "id": "reso_xxxxxxxxxxxxx",
  "member": {
    "id": "<string>"
  },
  "merchant_appealed": true,
  "merchant_response_actions": [],
  "payment": {
    "created_at": "2023-12-01T05:00:00.401Z",
    "id": "pay_xxxxxxxxxxxxxx",
    "paid_at": "2023-12-01T05:00:00.401Z",
    "subtotal": 6.9,
    "total": 6.9
  },
  "platform_response_actions": [],
  "resolution_events": [
    {
      "created_at": "2023-12-01T05:00:00.401Z",
      "details": "I did not authorize this purchase.",
      "id": "revt_xxxxxxxxxxxxx"
    }
  ],
  "updated_at": "2023-12-01T05:00:00.401Z",
  "user": {
    "id": "user_xxxxxxxxxxxxx",
    "name": "John Doe",
    "username": "johndoe42"
  }
}
{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}
{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}
{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}
{
"error": null
}
{
"error": null
}
{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Path Parameters

id
string
required

The unique identifier of the resolution center case.

Example:

"reso_xxxxxxxxxxxxx"

Response

A successful response

A resolution center case is a dispute or support case between a user and a company, tracking the issue, status, and outcome.

company
object | null
required

The company involved in this resolution case. Null if the company no longer exists.

created_at
string<date-time>
required

The datetime the resolution was created.

Example:

"2023-12-01T05:00:00.401Z"

customer_appealed
boolean
required

Whether the customer has filed an appeal after the initial resolution decision.

customer_response_actions
enum<string>[]
required

The list of actions currently available to the customer.

The types of responses a customer can make to a resolution.

Available options:
respond,
appeal,
withdraw
due_date
string<date-time> | null
required

The deadline by which the next response is required. Null if no deadline is currently active. As a Unix timestamp.

Example:

"2023-12-01T05:00:00.401Z"

id
string
required

The unique identifier for the resolution.

Example:

"reso_xxxxxxxxxxxxx"

issue
enum<string>
required

The category of the dispute.

Available options:
forgot_to_cancel,
item_not_received,
significantly_not_as_described,
unauthorized_transaction,
product_unacceptable
member
object | null
required

The membership record associated with the disputed payment. Null if the membership no longer exists.

merchant_appealed
boolean
required

Whether the merchant has filed an appeal after the initial resolution decision.

merchant_response_actions
enum<string>[]
required

The list of actions currently available to the merchant.

The types of responses a merchant can make to a resolution.

Available options:
accept,
deny,
request_more_info,
appeal,
respond
payment
object
required

The payment record that is the subject of this resolution case.

platform_response_actions
enum<string>[]
required

The list of actions currently available to the Whop platform for moderating this resolution.

The types of responses the platform can make to a resolution.

Available options:
request_buyer_info,
request_merchant_info,
merchant_wins,
merchant_refund
resolution_events
object[]
required

The most recent 50 messages, actions, and status changes that have occurred during this resolution case.

status
enum<string>
required

The current status of the resolution case, indicating which party needs to respond or if the case is closed.

Available options:
merchant_response_needed,
customer_response_needed,
merchant_info_needed,
customer_info_needed,
under_platform_review,
customer_won,
merchant_won,
customer_withdrew
updated_at
string<date-time>
required

The datetime the resolution was last updated.

Example:

"2023-12-01T05:00:00.401Z"

user
object
required

The customer (buyer) who filed this resolution case.